%{?nodejs_find_provides_and_requires}

%global packagename heap
%global enable_tests 1
# tests disabled due to failing tests, most likely because of newer version
# of the 'should' library

Name:		nodejs-heap
Version:	0.2.6
Release:	2%{?dist}
Summary:	Binary heap (priority queue) algorithms

License:	Python
# license text is at bottom of README.md
URL:		https://github.com/qiao/heap.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Patch0:		heap-0.2.6-should-equal.patch

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	coffee-script
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

Requires:	nodejs

%description
Binary heap (priority queue) algorithms (ported from Python's heapq module)


%prep
%setup -q -n package
%patch0 -p1


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{_bindir}/coffee -c -b test/*.coffee
/usr/bin/mocha -r should -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license README.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Nov 06 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.6-2
- Fix missing BuildRequires

* Fri Nov  6 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.6-1
- Initial packaging
